Index: svn/src/mainboard/tyan/s2912_fam10/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/get_bus_conf.c
+++ svn/src/mainboard/tyan/s2912_fam10/get_bus_conf.c
@@ -101,7 +101,7 @@ void get_bus_conf(void)
 			m->bus_mcp55[1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
+			printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
 		}
 
 		for(i=2; i<8;i++) {
@@ -110,7 +110,7 @@ void get_bus_conf(void)
 				m->bus_mcp55[i] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 			}
 			else {
-				printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
+				printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
 			}
 		}
 
@@ -123,7 +123,7 @@ void get_bus_conf(void)
 			m->bus_type[j] = 1;
 		if(m->bus_isa <= busn_max)
 			m->bus_isa = busn_max + 1;
-		printk(BIOS_DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
+		printk(DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
 	}
 
 /*I/O APICs:	APIC ID	Version	State		Address*/
Index: svn/src/mainboard/tyan/s2912_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/irq_tables.c
+++ svn/src/mainboard/tyan/s2912_fam10/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -131,7 +131,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/tyan/s2912_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/mptable.c
+++ svn/src/mainboard/tyan/s2912_fam10/mptable.c
@@ -147,7 +147,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2912_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/romstage.c
+++ svn/src/mainboard/tyan/s2912_fam10/romstage.c
@@ -190,7 +190,7 @@ void cache_as_ram_main(unsigned long bis
 	w83627hf_enable_serial(SERIAL_DEV, CONFIG_TTYS0_BASE);
 	uart_init();
 	console_init();
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
@@ -201,10 +201,10 @@ void cache_as_ram_main(unsigned long bis
 #endif
 
 	val = cpuid_eax(1);
-	printk(BIOS_DEBUG, "BSP Family_Model: %08x\n", val);
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
-	printk(BIOS_DEBUG, "bsp_apicid = %02x\n", bsp_apicid);
-	printk(BIOS_DEBUG, "cpu_init_detectedx = %08lx\n", cpu_init_detectedx);
+	printk(DEBUG, "BSP Family_Model: %08x\n", val);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "bsp_apicid = %02x\n", bsp_apicid);
+	printk(DEBUG, "cpu_init_detectedx = %08lx\n", cpu_init_detectedx);
 
 	/* Setup sysinfo defaults */
 	set_sysinfo_in_ram(0);
@@ -235,7 +235,7 @@ void cache_as_ram_main(unsigned long bis
 
 #if CONFIG_LOGICAL_CPUS==1
 	/* Core0 on each node is configured. Now setup any additional cores. */
-	printk(BIOS_DEBUG, "start_other_cores()\n");
+	printk(DEBUG, "start_other_cores()\n");
 	start_other_cores();
 	post_code(0x37);
 	wait_all_other_cores_started(bsp_apicid);
@@ -245,7 +245,7 @@ void cache_as_ram_main(unsigned long bis
 
 #if FAM10_SET_FIDVID == 1
 	msr = rdmsr(0xc0010071);
-	printk(BIOS_DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x\n", msr.hi, msr.lo);
+	printk(DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x\n", msr.hi, msr.lo);
 
 	/* FIXME: The sb fid change may survive the warm reset and only
 	 * need to be done once.*/
@@ -263,7 +263,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* show final fid and vid */
 	msr=rdmsr(0xc0010071);
-	printk(BIOS_DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x\n", msr.hi, msr.lo);
+	printk(DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x\n", msr.hi, msr.lo);
 #endif
 
 	wants_reset = mcp55_early_setup_x();
@@ -276,27 +276,27 @@ void cache_as_ram_main(unsigned long bis
 	}
 
 	if (wants_reset)
-		printk(BIOS_DEBUG, "mcp55_early_setup_x wanted additional reset!\n");
+		printk(DEBUG, "mcp55_early_setup_x wanted additional reset!\n");
 
 	post_code(0x3B);
 
 	/* It's the time to set ctrl in sysinfo now; */
-	printk(BIOS_DEBUG, "fill_mem_ctrl()\n");
+	printk(DEBUG, "fill_mem_ctrl()\n");
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	post_code(0x3D);
 
-	printk(BIOS_DEBUG, "enable_smbus()\n");
+	printk(DEBUG, "enable_smbus()\n");
 	enable_smbus();
 	post_code(0x3E);
 
 	memreset_setup();
 	post_code(0x40);
 
-	printk(BIOS_DEBUG, "raminit_amdmct()\n");
+	printk(DEBUG, "raminit_amdmct()\n");
 	raminit_amdmct(sysinfo);
 	post_code(0x41);
 
-	printk(BIOS_DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
+	printk(DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
 	post_cache_as_ram();	// BSP switch stack to ram, copy then execute LB.
 	post_code(0x43);	// Should never see this post code.
 }
Index: svn/src/mainboard/tyan/s4880/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s4880/mptable.c
+++ svn/src/mainboard/tyan/s4880/mptable.c
@@ -29,7 +29,7 @@ static unsigned node_link_to_bus(unsigne
                 dst_link = (config_map >> 8) & 3;
                 bus_base = (config_map >> 16) & 0xff;
 #if 0                           
-                printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+                printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
                         dst_node, dst_link, bus_base,
                         reg, config_map);
 #endif
@@ -85,7 +85,7 @@ static void *smp_write_config_table(void
                 /* HT chain 0 */
                 bus_chain_0 = node_link_to_bus(0, 2);
                 if (bus_chain_0 == 0) {
-                        printk(BIOS_DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
+                        printk(DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
                         bus_chain_0 = 1;
                 }
                 
@@ -97,7 +97,7 @@ static void *smp_write_config_table(void
                         bus_isa++; 
                 }       
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
                         bus_8111_1 = 4;
                         bus_isa = 5;
@@ -109,7 +109,7 @@ static void *smp_write_config_table(void
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
                         bus_8131_1 = 2;
                 }
@@ -120,7 +120,7 @@ static void *smp_write_config_table(void
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
                         bus_8131_2 = 3;
                 }
@@ -246,7 +246,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s4882/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s4882/mptable.c
+++ svn/src/mainboard/tyan/s4882/mptable.c
@@ -30,7 +30,7 @@ static unsigned node_link_to_bus(unsigne
                 dst_link = (config_map >> 8) & 3;
                 bus_base = (config_map >> 16) & 0xff;
 #if 0                           
-                printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+                printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
                         dst_node, dst_link, bus_base,
                         reg, config_map);
 #endif
@@ -86,7 +86,7 @@ static void *smp_write_config_table(void
                 /* HT chain 0 */
                 bus_chain_0 = node_link_to_bus(0, 1);
                 if (bus_chain_0 == 0) {
-                        printk(BIOS_DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
+                        printk(DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
                         bus_chain_0 = 1;
                 }
  
@@ -98,7 +98,7 @@ static void *smp_write_config_table(void
                         bus_isa++; 
                 }       
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
                         bus_8111_1 = 4;
                         bus_isa = 5;
@@ -110,7 +110,7 @@ static void *smp_write_config_table(void
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
                         bus_8131_1 = 2;
                 }
@@ -121,7 +121,7 @@ static void *smp_write_config_table(void
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
                         bus_8131_2 = 3;
                 }
@@ -246,7 +246,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/via/epia-m/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m/acpi_tables.c
+++ svn/src/mainboard/via/epia-m/acpi_tables.c
@@ -52,7 +52,7 @@ unsigned long write_acpi_tables(unsigned
 	start   = ( start + 0x0f ) & -0x10;
 	current = start;
 	
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -69,7 +69,7 @@ unsigned long write_acpi_tables(unsigned
 	/*
 	 * We explicitly add these tables later on:
 	 */
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
@@ -79,8 +79,8 @@ unsigned long write_acpi_tables(unsigned
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
 	dsdt->checksum = 0; // don't trust intel iasl compiler to get this right
 	dsdt->checksum = acpi_checksum(dsdt,dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n",dsdt,dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n",dsdt,dsdt->length);
+	printk(DEBUG, "ACPI:     * FADT\n");
 
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
@@ -88,7 +88,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt,facs,dsdt);
 	acpi_add_table(rsdp,fadt);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
 
Index: svn/src/mainboard/via/epia-m/mainboard.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m/mainboard.c
+++ svn/src/mainboard/via/epia-m/mainboard.c
@@ -16,9 +16,9 @@ static void vga_fixup(void) {
         //   that
         // - we need page 0 below for coreboot tables.
 
-        printk(BIOS_DEBUG, "INSTALL REAL-MODE IDT\n");
+        printk(DEBUG, "INSTALL REAL-MODE IDT\n");
         setup_realmode_idt();
-        printk(BIOS_DEBUG, "DO THE VGA BIOS\n");
+        printk(DEBUG, "DO THE VGA BIOS\n");
         do_vgabios();
         post_code(0x93);
 	vga_enable_console();
@@ -30,7 +30,7 @@ void write_protect_vgabios(void)
 {
  	device_t dev;
  
- 	printk(BIOS_INFO, "write_protect_vgabios\n");
+ 	printk(INFO, "write_protect_vgabios\n");
 	/* there are two possible devices. Just do both. */
  	dev = dev_find_device(PCI_VENDOR_ID_VIA, 0x3122, 0);
  	if(dev)
Index: svn/src/mainboard/via/epia-m/vgabios.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m/vgabios.c
+++ svn/src/mainboard/via/epia-m/vgabios.c
@@ -349,17 +349,17 @@ void do_vgabios(void)
 	dev = dev_find_class(PCI_CLASS_DISPLAY_VGA<<8 , 0);
 
 	if (!dev) {
-		printk(BIOS_DEBUG, "NO VGA FOUND\n");
+		printk(DEBUG, "NO VGA FOUND\n");
 		return;
 	}
-	printk(BIOS_DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
+	printk(DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
 
 	/* declare rom address here - keep any config data out of the way
 	 * of core LXB stuff */
 
 	rom = (unsigned int)cbfs_load_optionrom(dev->vendor, dev->device, 0); 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, rom|1);
-	printk(BIOS_DEBUG, "rom base, size: %x\n", rom);
+	printk(DEBUG, "rom base, size: %x\n", rom);
 
 	buf = (unsigned char *) rom;
 	if ((buf[0] == 0x55) && (buf[1] == 0xaa)) {
@@ -371,13 +371,13 @@ void do_vgabios(void)
 		buf = (unsigned char *) 0xc0000;
 		if (buf[0]==0x55 && buf[1]==0xAA) {
 			busdevfn = (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk(BIOS_DEBUG, "bus/devfn = %#lx\n", busdevfn);
+			printk(DEBUG, "bus/devfn = %#lx\n", busdevfn);
 
 		    	real_mode_switch_call_vga(busdevfn);
 		} else
-			printk(BIOS_DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
+			printk(DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
 	} else 
-		printk(BIOS_DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
+		printk(DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, 0);
 }
@@ -562,28 +562,28 @@ int biosint(unsigned long intnumber,
 	cs = cs_ip >> 16;
 	flags = stackflags;
 	
-	printk(BIOS_DEBUG, "biosint: INT# 0x%lx\n", intnumber);
-	printk(BIOS_DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n", 
+	printk(DEBUG, "biosint: INT# 0x%lx\n", intnumber);
+	printk(DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
 		      eax, ebx, ecx, edx);
-	printk(BIOS_DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
+	printk(DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk(BIOS_DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
+	printk(DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk(BIOS_INFO, "biosint: Oops, exception %lu\n", intnumber);
+		printk(INFO, "biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
-			printk(BIOS_DEBUG, "Stack contents: ");
+			printk(DEBUG, "Stack contents: ");
 			while (esp < 0x1000) {
-				printk(BIOS_DEBUG, "0x%04x ", *(unsigned short *) esp);
+				printk(DEBUG, "0x%04x ", *(unsigned short *) esp);
 				esp += 2;
 			}
-			printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "\n");
 		}
-		printk(BIOS_DEBUG, "biosint: Bailing out\n");
+		printk(DEBUG, "biosint: Bailing out\n");
 		// "longjmp"
 		vga_exit();
 		break;
@@ -602,7 +602,7 @@ int biosint(unsigned long intnumber,
 				&ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk(BIOS_INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
+		printk(INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
@@ -727,7 +727,7 @@ pcibios(unsigned long *pedi, unsigned lo
 			// devfn is an int, so we mask it off. 
 			busdevfn = (dev->bus->secondary << 8)
 				| (dev->path.pci.devfn & 0xff);
-			printk(BIOS_DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
+			printk(DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
 			*pebx = busdevfn;
 			retval = 0;
 		} else {
@@ -753,7 +753,7 @@ pcibios(unsigned long *pedi, unsigned lo
 		reg = *pedi;
 		dev = dev_find_slot(bus, devfn);
 		if (! dev) {
-			printk(BIOS_DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
+			printk(DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
 			// idiots. the pcibios guys assumed you'd never pass a bad bus/devfn!
 			*peax = PCIBIOS_BADREG;
 			retval = -1;
@@ -787,14 +787,14 @@ pcibios(unsigned long *pedi, unsigned lo
 		
 		if (retval) 
 			retval = PCIBIOS_BADREG;
-		printk(BIOS_DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
+		printk(DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
 			     func, bus, devfn, reg, *pecx);
 		*peax = 0;
 		retval = 0;
 	}
 	break;
 	default:
-		printk(BIOS_ERR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n",  func);
+		printk(ERROR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n",  func);
 		break;
 	}
 	
Index: svn/src/mainboard/via/epia-m700/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m700/acpi_tables.c
+++ svn/src/mainboard/via/epia-m700/acpi_tables.c
@@ -135,7 +135,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT table. */
 	rsdp = (acpi_rsdp_t *) current;
@@ -150,21 +150,21 @@ unsigned long write_acpi_tables(unsigned
 	acpi_write_rsdt(rsdt);
 
 	/* We explicitly add these tables later on: */
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	current = ALIGN(current, 64);
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
-	printk(BIOS_DEBUG, "ACPI:     * DSDT\n");
+	printk(DEBUG, "ACPI:     * DSDT\n");
 	dsdt = (acpi_header_t *) current;
 	current += AmlCode_dsdt.length;
 	memcpy((void *)dsdt, &AmlCode_dsdt, AmlCode_dsdt.length);
 	dsdt->checksum = 0; /* Don't trust iasl to get this right. */
 	dsdt->checksum = acpi_checksum(dsdt, dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -172,7 +172,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 	/* If we want to use HPET timers Linux wants it in MADT. */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
@@ -180,24 +180,24 @@ unsigned long write_acpi_tables(unsigned
 
 	/* NO MCFG in VX855, no PCI-E. */
 
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_mcfg_t *) current;
 	acpi_create_hpet(hpet);
 	current += hpet->header.length;
 	acpi_add_table(rsdp, hpet);
 
 #if 0
-	printk(BIOS_DEBUG, "ACPI:     * SSDT\n");
+	printk(DEBUG, "ACPI:     * SSDT\n");
 	ssdt = (acpi_header_t *) current;
 	current += AmlCode_ssdt.length;
 	memcpy((void *)ssdt, &AmlCode_ssdt, AmlCode_ssdt.length);
 	ssdt->checksum = 0; /* Don't trust iasl to get this right. */
 	ssdt->checksum = acpi_checksum(ssdt, ssdt->length);
 	acpi_add_table(rsdp, ssdt);
-	printk(BIOS_DEBUG, "ACPI:     * SSDT @ %08x Length %x\n", ssdt, ssdt->length);
+	printk(DEBUG, "ACPI:     * SSDT @ %08x Length %x\n", ssdt, ssdt->length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
 
Index: svn/src/mainboard/via/epia-m700/romstage.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m700/romstage.c
+++ svn/src/mainboard/via/epia-m700/romstage.c
@@ -725,7 +725,7 @@ void amd64_main(unsigned long bist)
 		unsigned v_esp;
 		__asm__ volatile ("movl %%esp, %0\n\t":"=a" (v_esp));
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, "v_esp=%08x\n", v_esp);
+		printk(DEBUG, "v_esp=%08x\n", v_esp);
 #else
 		print_debug("v_esp=");
 		print_debug_hex32(v_esp);
@@ -744,7 +744,7 @@ cpu_reset_x:
 	cpu_reset = 0;
 
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "cpu_reset = %08x\n", cpu_reset);
+	printk(DEBUG, "cpu_reset = %08x\n", cpu_reset);
 #else
 	print_debug("cpu_reset = ");
 	print_debug_hex32(cpu_reset);
@@ -794,7 +794,7 @@ cpu_reset_x:
 			print_debug("Use Ram as Stack now - \n");
 
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, "new_cpu_reset = %08x\n", new_cpu_reset);
+		printk(DEBUG, "new_cpu_reset = %08x\n", new_cpu_reset);
 #else
 		print_debug("new_cpu_reset = ");
 		print_debug_hex32(new_cpu_reset);
Index: svn/src/mainboard/via/epia-m700/wakeup.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m700/wakeup.c
+++ svn/src/mainboard/via/epia-m700/wakeup.c
@@ -116,13 +116,13 @@ void acpi_jump_wake(u32 vector)
 	u8 Data;
 	struct Xgt_desc_struct *wake_thunk16_Xgt_desc;
 
-	printk(BIOS_DEBUG, "IN ACPI JUMP WAKE TO %x\n", vector);
+	printk(DEBUG, "IN ACPI JUMP WAKE TO %x\n", vector);
 	if (enable_a20())
 		die("failed to enable A20\n");
-	printk(BIOS_DEBUG, "IN ACPI JUMP WAKE TO 3 %x\n", vector);
+	printk(DEBUG, "IN ACPI JUMP WAKE TO 3 %x\n", vector);
 
 	*((u16 *) (jump_to_wakeup + 3)) = (u16) (vector >> 4);
-	printk(BIOS_DEBUG, "%x %x %x %x %x\n", jump_to_wakeup[0], jump_to_wakeup[1],
+	printk(DEBUG, "%x %x %x %x %x\n", jump_to_wakeup[0], jump_to_wakeup[1],
 		     jump_to_wakeup[2], jump_to_wakeup[3], jump_to_wakeup[4]);
 
 	memcpy((void *)(WAKE_THUNK16_ADDR - sizeof(real_mode_switch) - 100),
@@ -131,7 +131,7 @@ void acpi_jump_wake(u32 vector)
 	       sizeof(jump_to_wakeup));
 
 	//jason_tsc_count();
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 	//jason_tsc_count_end();
 
 	unsigned long long *real_mode_gdt_entries_at_eseg;
Index: svn/src/mainboard/via/epia-n/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/via/epia-n/acpi_tables.c
+++ svn/src/mainboard/via/epia-n/acpi_tables.c
@@ -136,7 +136,7 @@ unsigned long write_acpi_tables(unsigned
 	start   = ( start + 0x0f ) & -0x10;
 	current = start;
 	
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -153,20 +153,20 @@ unsigned long write_acpi_tables(unsigned
 	/*
 	 * We explicitly add these tables later on:
 	 */
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	current = ALIGN(current, 64);
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
-	printk(BIOS_DEBUG, "ACPI:     * DSDT\n");
+	printk(DEBUG, "ACPI:     * DSDT\n");
 	dsdt = (acpi_header_t *)current;
 	current += AmlCode.length;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
 	dsdt->checksum = 0; // don't trust intel iasl compiler to get this right
 	dsdt->checksum = acpi_checksum(dsdt,dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n",dsdt,dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n",dsdt,dsdt->length);
+	printk(DEBUG, "ACPI:     * FADT\n");
 
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
@@ -175,13 +175,13 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp,fadt);
 
 	/* If we want IOAPIC Support Linux wants it in MADT. */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
 
Index: svn/src/mainboard/via/epia-n/mptable.c
===================================================================
--- svn.orig/src/mainboard/via/epia-n/mptable.c
+++ svn/src/mainboard/via/epia-n/mptable.c
@@ -102,7 +102,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/via/pc2500e/mptable.c
===================================================================
--- svn.orig/src/mainboard/via/pc2500e/mptable.c
+++ svn/src/mainboard/via/pc2500e/mptable.c
@@ -146,7 +146,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/via/vt8454c/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/via/vt8454c/acpi_tables.c
+++ svn/src/mainboard/via/vt8454c/acpi_tables.c
@@ -135,7 +135,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -153,7 +153,7 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
@@ -161,20 +161,20 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
 	acpi_add_table(rsdp, mcfg);
 
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
@@ -186,9 +186,9 @@ unsigned long write_acpi_tables(unsigned
 	dsdt->checksum = 0;	// don't trust intel iasl compiler to get this right
 	dsdt->checksum = acpi_checksum(dsdt, dsdt->length);
 #endif
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
@@ -196,9 +196,9 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt, facs, dsdt);
 	acpi_add_table(rsdp, fadt);
 
-	printk(BIOS_DEBUG, "ACPI:     * DMI (Linux workaround)\n");
+	printk(DEBUG, "ACPI:     * DMI (Linux workaround)\n");
 	memcpy((void *)0xfff80, dmi_table, DMI_TABLE_SIZE);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/via/vt8454c/mptable.c
===================================================================
--- svn.orig/src/mainboard/via/vt8454c/mptable.c
+++ svn/src/mainboard/via/vt8454c/mptable.c
@@ -92,7 +92,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
 
Index: svn/src/mainboard/winent/pl6064/mainboard.c
===================================================================
--- svn.orig/src/mainboard/winent/pl6064/mainboard.c
+++ svn/src/mainboard/winent/pl6064/mainboard.c
@@ -23,8 +23,8 @@
 
 static void init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "Win Enterprises PL-6064/65 ENTER %s\n", __func__);
-	printk(BIOS_DEBUG, "Win Enterprises PL-6064/65 EXIT %s\n", __func__);
+	printk(DEBUG, "Win Enterprises PL-6064/65 ENTER %s\n", __func__);
+	printk(DEBUG, "Win Enterprises PL-6064/65 EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/northbridge/amd/amdfam10/amdfam10.h
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/amdfam10.h
+++ svn/src/northbridge/amd/amdfam10/amdfam10.h
@@ -1134,7 +1134,7 @@ static void wait_all_core0_mem_trained(s
 #ifdef __PRE_RAM__
 		print_debug("mem_trained["); print_debug_hex8(i); print_debug("]="); print_debug_hex8(sysinfo->mem_trained[i]); print_debug("\n");
 #else
-		printk(BIOS_DEBUG, "mem_trained[%02x]=%02x\n", i, sysinfo->mem_trained[i]);
+		printk(DEBUG, "mem_trained[%02x]=%02x\n", i, sysinfo->mem_trained[i]);
 #endif
 		switch(sysinfo->mem_trained[i]) {
 		case 0: //don't need train
@@ -1152,7 +1152,7 @@ static void wait_all_core0_mem_trained(s
 		print_debug("mem trained failed\n");
 		soft_reset();
 #else
-		printk(BIOS_DEBUG, "mem trained failed\n");
+		printk(DEBUG, "mem trained failed\n");
 		hard_reset();
 #endif
 	}
